• AntergosPrime - Brings Optimus/ Prime functionality to Antergos


    @karasu said in AntergosPrime - Brings Optimus/ Prime functionality to Antergos:

    Hi,

    No problem I’ll do it.

    I can also create an antergos-prime-lts package.

    I’ll get back to you when it’s done.

    Cheers!

    That’s awesome!
    Thanks a lot :)

  • @mVoinescu Feel free to try :)
    We need feedback :)

    However if you install it now from the repo, please check out the installation guide. :)

  • Is Antergos-Prime also working for intel/amd combination?

  • @joekamprad Unfortunately no. Antergos-Prime is only for intel / NVIDIA configs. For switching GPUs it’s using bbswitch (package of Bumblebee) so it would need a complete different approach for an AMD card:/

    However maybe you can power down one GPU in a different way?
    Have you looked here: https://wiki.archlinux.org/index.php/Hybrid_graphics ?
    Problem is that you might need a script that switches your config files if you switch your GPUs, otherwise you have to do a lot by hand every time you switch your GPU (thats what Antergos-Prime does for NVIDIA users ;))

    EDIT: Maybe check out this: https://www.unixmen.com/using-hybrid-graphic-card-intel-amd-arch-linux/
    I have no intel / AMD config, so I can not test, but you might find better working solutions for AMD than NVIDIA :P

  • @got-it-man said in AntergosPrime - Brings Optimus/ Prime functionality to Antergos:

    Problem is that you might need a script that switches your config files if you switch your GPUs, otherwise you have to do a lot by hand every time you switch your GPU (thats what Antergis-Prime does for NVIDIA users )
    EDIT: Maybe check out this: https://www.unixmen.com/using-hybrid-graphic-card-intel-amd-arch-linux/

    Understood and thank you very much for the link, it is very helpful indeed !!!

  • @judd You’re welcome! :)

  • Thanks for maintain the script and continues fixing bugs. @got-it-man

    I am very busy, i can’t update the script :(

  • @emanuel.lopes.pt Hey, nice to see you here ;)
    Yeah, I know that time problem, however I’ll try to maintain it ;)
    Thanks for the effort you put into the project :)

  • If you use AntergosPrime please do not upgrade SDDM.
    There’s maybe a problem with the newest version (sddm-0.17.0-3), however not with sddm-0.17.0-2.
    I am not 100% sure if this is a local problem on my system or for anybody.
    However just as a little warning, that this might causes a problem that you can not start your system with the NVIDIA GPU anymore.

    If you want update your system, you can also just upgrade it and later downgrade the package sddm with the awesome tool downgrader from the AUR.
    Get the tool with yaourt or your favourite AUR-helper:
    yaourt -S downgrader or e.g. pacaur -S downgrader.

    Syntax to downgrad is:
    downgrader <package>

    So for SDDM:
    downgrader sddm

    Maybe some @developers can mention this as a possible bug.
    Unfortunately I can not track down this error today anymore, but I’ll have a look at it so I can say 100% sure if it’s a local problem or can happen for anybody.

    Thanks!

    EDIT: It looks like it there has been an update to sddm-0.17.0-4 which fixed the problem (at least for me :D ), so anybody should be good now ;)
    Happy holidays! :)

optimus26 prime9 antergosprime2 brings1 Posts 49Views 9534
Log in to reply
Bloom Email Optin Plugin

Looks like your connection to Antergos Community Forum was lost, please wait while we try to reconnect.